MKNOD(1)

NOM
mknod - Créer des fichiers spéciaux

SYNOPSIS
mknod [options] nom {bc} numéro_majeur numéro_mineur
mknod [ options ] nom p

Options GNU (forme courte) : [-m mode] [--mode=mode] [--help] [--version]

DESCRIPTION
mknod crée une FIFO, un fichier spécial en mode caractère, ou un fichier spécial en mode bloc, avec le nom indiqué.

Un fichier spécial est un ensemble de trois valeurs (une booléenne, et deux entiers) enregistré dans un système de fichiers. La valeur booléenne indique s'il s'agit d'un fichier caractères ou blocs, et les deux entiers correspondent aux numéros majeur et mineur.

Ainsi un fichier spécial ne prend quasiment pas de place sur le disque, et est utilisé pour dialoguer avec le système d'exploitation, pas pour enregistrer des données. Généralement les fichiers spéciaux concernent des périphériques matériels (disques, bandes, ttys, imprimantes) ou des services fournis par le système d'exploitation (/dev/null, /dev/random).

Les fichiers en mode bloc sont des périphériques comme des disques (où les données sont accessibles à travers un numéro de bloc, et où il est intéressant d'avoir une mémoire cache par bloc). Tous les autres périphériques sont en mode caractère. Autrefois, la distinction se faisait autrement. Les entrées-sorties en mode bloc étaient bufferisées, pas les autres.

La commande mknod permet de créer ce type de fichier.

Les arguments fournis à la suite du nom indiquent le type de fichier à créer :

    p   pour une FIFO

    b   pour un fichier spécial en mode bloc (avec tampon)

    c   pour un fichier spécial en mode caractère (sans tampon)

La version GNU de mknod dispose de l'option u (« unbuffered ») synonyme de c.

Lorsque l'on crée un fichier spécial bloc ou caractère, les numéros majeur et mineur correspondant au périphérique doivent être précisés après le type de fichier, en décimal, en octal commençant par 0, ou (version GNU seulement) en hexadécimal précédé de 0x. Par défaut le mode de création est 0666 (« a+rw ») moins les bits se trouvant dans le umask.

  OPTIONS

-m, --mode mode
    Indique les autorisations d'accès au fichier, mode étant fourni sous forme symbolique, comme pour chmod(1), les permissions par défaut étant utilisées comme valeur de départ.

OPTIONS STANDARDS GNU

--help
    Afficher un message d'aide sur la sortie standard, et se terminer normalement.

--version
    Afficher un numéro de version sur la sortie standard, et se terminer normalement.

--  Terminer la liste des options.

CONFORMITÉ
POSIX ne décrit pas cette commande, considérée comme non portable, et recommande d'utiliser plutôt mkfifo(1) pour créer des FIFOs. SVID dispose d'une commande /etc/mknod ayant la même syntaxe mais sans l'option mode.

NOTES
Sur un système Linux (1.3.22 ou plus récent) le fichier /usr/src/linux/Documentation/devices.txt contient une liste des noms de périphériques, avec le type, et les numéros majeurs et mineurs.

Cette page décrit la version de mknod trouvée dans le paquetage fileutils-4.0, d'autres versions peuvent différer légèrement.

VOIR AUSSI
chmod(1), mkfifo(1), mknod(2)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 21 décembre 1996 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 mknod ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.